Subject: bug#69739: 30.0.50; `type-of` is not precise enough

From: Eli Zaretskii <[email-masked]>
Date: Wed, 13 Mar 2024 13:55:33 +0200

> From: Stefan Monnier <[email-masked]>
> Cc: [email-masked]
> Date: Tue, 12 Mar 2024 11:39:56 -0400
> 
> I think that marking it obsolete wouldn't be an option if the new
> function is named something like `cl-generic-type-of`: it would have to
> be a more "neutral" name.

I just picked up your own suggestion.  I'm not wedded to that name, so
if there are better alternatives, let's hear them.

> The reason why I'd like to make it obsolete (if it can't be changed) is
> to try and avoid having two slightly-different functions where most
> users don't actually care about the difference.

Sure, but we don't usually declare such APIs obsolete the very day the
better one is introduced.  We usually let the community some time to
adjust, and maybe tell us where our ideas were wrong or need some
adjustments.